Index: trunk/dports/mail/gnupg/Portfile
===================================================================
--- trunk/dports/mail/gnupg/Portfile	(revision 1550)
+++ trunk/dports/mail/gnupg/Portfile	(revision 1551)
@@ -5,4 +5,8 @@
 maintainers	eric@opendarwin.org
 description	GNU pretty-good-privacy package
+long_description	GnuPG is a complete and free replacement for PGP. \
+			Because it does not use the patented IDEA algorithm, it can be used \
+			without any restrictions.  GnuPG is an RFC2440 (OpenPGP) compliant \
+			application.
 platforms	darwin freebsd
 master_sites	ftp://ftp.gnupg.org/gcrypt/gnupg/
Index: trunk/dports/net/ngrep/Portfile
===================================================================
--- trunk/dports/net/ngrep/Portfile	(revision 1550)
+++ trunk/dports/net/ngrep/Portfile	(revision 1551)
@@ -5,4 +5,12 @@
 maintainers	grace@flipt.com
 description	Network grep
+long_description	ngrep strives to provide most of GNU grep's common features, applying \
+			them to the network layer. \
+			ngrep a pcap-aware tool that will allow you to specify extended \
+			regular expressions to match against data payloads of packets. It \
+			currently recognizes TCP, UDP, and ICMP across Ethernet, PPP, SLIP, \
+			FDDI, Token Ring and null interfaces, and understands BPF filter \
+			logic in the same fashion as more common packet sniffing tools, \
+			like tcpdump and snoop.
 platforms	darwin
 master_sites	ftp://ftp3.sourceforge.net/pub/sourceforge/ngrep/
Index: trunk/dports/news/slrn/Portfile
===================================================================
--- trunk/dports/news/slrn/Portfile	(revision 1550)
+++ trunk/dports/news/slrn/Portfile	(revision 1551)
@@ -4,4 +4,7 @@
 revision	1
 description	A powerful console-based newsreader
+long_description	slrn is an easy to use but powerful NNTP/spool based newsreader.  It is \
+			highly customizable, supports scoring, free key bindings, and can be \
+			extended using the SLang macro language.
 categories	news net
 platforms	darwin
Index: trunk/dports/news/tin/Portfile
===================================================================
--- trunk/dports/news/tin/Portfile	(revision 1550)
+++ trunk/dports/news/tin/Portfile	(revision 1551)
@@ -6,4 +6,8 @@
 maintainers	ports@syrius.org
 description	tin is a threaded NNTP and spool based UseNet newsreader
+long_description	tin is a full-screen easy to use Usenet reader. It can read news \
+			locally or remotely via a NTTP (Network News Transport Protocol) \
+			server. It will automatically utilize NOV (News OVerview) style \
+			index files if available locally or via the NNTP XOVER command.
 master_sites	ftp://ftp.tin.org/tin/v1.4/
 checksums	md5 6c72c92c715fbd875b953e9dbfec7744
Index: trunk/dports/print/freetype/Portfile
===================================================================
--- trunk/dports/print/freetype/Portfile	(revision 1550)
+++ trunk/dports/print/freetype/Portfile	(revision 1551)
@@ -5,4 +5,10 @@
 maintainers	eric@opendarwin.org
 description	Free and portable render engine for TrueType fonts
+long_description	The FreeType engine is a free and portable TrueType font rendering \
+			engine.  It  has been developed to  provide TT support  to a great \
+			variety of platforms and environments. \
+			Notice that  FreeType is a *library*.   It is *not*  a font server \
+			for  your preferred environment,  even though  it was  designed to \
+			allow the design of many font servers.
 platforms	darwin
 use_bzip2	yes
Index: trunk/dports/print/ghostscript/Portfile
===================================================================
--- trunk/dports/print/ghostscript/Portfile	(revision 1550)
+++ trunk/dports/print/ghostscript/Portfile	(revision 1551)
@@ -14,4 +14,9 @@
     version		7.04
     description		AFPL Ghostscript, An interpreter for PostScript and PDF
+    long_description	Ghostscript is the well-known PostScript interpreter which is available for \
+			all common and most esoteric platforms and supports many different printers \
+			and some displays. \
+			Versions entitled "AFPL Ghostscript" are distributed with a licence different \
+			from the GPL. 
     master_sites	ftp://mirror.cs.wisc.edu/pub/mirrors/ghost/AFPL/gs704/:source
     distfiles		${distname}${extract.sufx}:source
@@ -32,4 +37,10 @@
     version		7.05
     description		GNU Ghostscript, An interpreter for PostScript and PDF
+    long_description	Ghostscript is the well-known PostScript interpreter which is available for \
+			all common and most esoteric platforms and supports many different printers \
+			and some displays. \
+			Versions entitled "GNU Ghostscript" are distributed with the GNU General \ 
+			Public License, which allows free use, and free copying and redistribution \
+			under certain conditions (including, in some cases, commercial distribution).
     master_sites	ftp://mirror.cs.wisc.edu/pub/mirrors/ghost/gnu/gs705/:source
     distfiles		${distname}${extract.sufx}:source
Index: trunk/dports/print/teTeX/Portfile
===================================================================
--- trunk/dports/print/teTeX/Portfile	(revision 1550)
+++ trunk/dports/print/teTeX/Portfile	(revision 1551)
@@ -4,4 +4,8 @@
 categories	print
 description	TeX and METAFONT
+long_description	teTeX is _the_ TeX distribution for UNIX compatible systems.  It \
+			contains the latest versions of TeX & friends and nearly everything \
+			you need for happy TeX'ing.  For more information have a look at \
+			the lengthy FEATURES file of the distribution.
 platforms	darwin
 maintainers	landonf@opendarwin.org
Index: trunk/dports/security/ccrypt/Portfile
===================================================================
--- trunk/dports/security/ccrypt/Portfile	(revision 1550)
+++ trunk/dports/security/ccrypt/Portfile	(revision 1551)
@@ -6,4 +6,16 @@
 maintainers		ports@syrius.org
 description		ccrypt is an utility for encrypting and decrypting files and streams.
+long_description	Utility for encrypting and decrypting files and streams. It was \
+			designed to replace the standard unix crypt utility, which is notorious for \
+			using a very weak encryption algorithm. ccrypt is based on the Rijndael \
+			cipher, which is the U.S. government's chosen candidate for the Advanced \
+			Encryption Standard (AES, see http://www.nist.gov/aes/). This cipher is \
+			believed to provide very strong security. \
+			Unlike unix crypt, the algorithm provided by ccrypt is not symmetric, i.e., \
+			one must specify whether to encrypt or decrypt. The most common way to invoke \
+			ccrypt is via the commands ccencrypt and ccdecrypt. There is also a ccat \
+			command for decrypting a file directly to the terminal, thus reducing the \
+			likelihood of leaving temporary plaintext files around. In addition, there \
+			is a compatibility mode for decrypting legacy unix crypt files.
 master_sites	http://quasar.mathstat.uottawa.ca/~selinger/ccrypt/download/
 checksums		md5 5dc4646f684273e8fa9f152286b54256
Index: trunk/dports/security/gnupg/Portfile
===================================================================
--- trunk/dports/security/gnupg/Portfile	(revision 1550)
+++ trunk/dports/security/gnupg/Portfile	(revision 1551)
@@ -5,4 +5,8 @@
 maintainers	eric@opendarwin.org
 description	GNU pretty-good-privacy package
+long_description	GnuPG is a complete and free replacement for PGP. \
+			Because it does not use the patented IDEA algorithm, it can be used \
+			without any restrictions.  GnuPG is an RFC2440 (OpenPGP) compliant \
+			application.
 platforms	darwin freebsd
 master_sites	ftp://ftp.gnupg.org/gcrypt/gnupg/
Index: trunk/dports/security/skey/Portfile
===================================================================
--- trunk/dports/security/skey/Portfile	(revision 1550)
+++ trunk/dports/security/skey/Portfile	(revision 1551)
@@ -5,4 +5,5 @@
 maintainers		drernie@opendarwin.org
 description		OpenBSD One Time Passwords (OTP)
+long_description	
 platforms		darwin freebsd netbsd
 master_sites	http://www.sparc.spb.su/solaris/skey/
Index: trunk/dports/sysutils/ccrypt/Portfile
===================================================================
--- trunk/dports/sysutils/ccrypt/Portfile	(revision 1550)
+++ trunk/dports/sysutils/ccrypt/Portfile	(revision 1551)
@@ -6,4 +6,16 @@
 maintainers		ports@syrius.org
 description		ccrypt is an utility for encrypting and decrypting files and streams.
+long_description	Utility for encrypting and decrypting files and streams. It was \
+			designed to replace the standard unix crypt utility, which is notorious for \
+			using a very weak encryption algorithm. ccrypt is based on the Rijndael \
+			cipher, which is the U.S. government's chosen candidate for the Advanced \
+			Encryption Standard (AES, see http://www.nist.gov/aes/). This cipher is \
+			believed to provide very strong security. \
+			Unlike unix crypt, the algorithm provided by ccrypt is not symmetric, i.e., \
+			one must specify whether to encrypt or decrypt. The most common way to invoke \
+			ccrypt is via the commands ccencrypt and ccdecrypt. There is also a ccat \
+			command for decrypting a file directly to the terminal, thus reducing the \
+			likelihood of leaving temporary plaintext files around. In addition, there \
+			is a compatibility mode for decrypting legacy unix crypt files.
 master_sites	http://quasar.mathstat.uottawa.ca/~selinger/ccrypt/download/
 checksums		md5 5dc4646f684273e8fa9f152286b54256
Index: trunk/dports/sysutils/screen/Portfile
===================================================================
--- trunk/dports/sysutils/screen/Portfile	(revision 1550)
+++ trunk/dports/sysutils/screen/Portfile	(revision 1551)
@@ -8,4 +8,12 @@
 maintainers	digdog@mac.com
 description	Screen manager with VT100/ANSI terminal emulation
+long_description	Screen is a full-screen window manager that multiplexes a physical \
+			terminal between several processes (typically interactive shells). \
+			Each virtual terminal provides the functions of a DEC VT100 terminal \
+			and, in addition, several control functions from the ANSI X3.64 (ISO \
+			6429) and ISO 2022 standards (e.g. insert/delete line and support for \
+			multiple character sets). There is a scrollback history buffer for each \
+			virtual terminal and a copy-and-paste mechanism that allows moving text \
+			regions between windows.
 platforms	darwin
 master_sites	http://ftp.gnu.org/pub/gnu/screen/ \
Index: trunk/dports/sysutils/skey/Portfile
===================================================================
--- trunk/dports/sysutils/skey/Portfile	(revision 1550)
+++ trunk/dports/sysutils/skey/Portfile	(revision 1551)
@@ -5,4 +5,5 @@
 maintainers		drernie@opendarwin.org
 description		OpenBSD One Time Passwords (OTP)
+long_description	
 platforms		darwin freebsd netbsd
 master_sites	http://www.sparc.spb.su/solaris/skey/
Index: trunk/dports/sysutils/xtail/Portfile
===================================================================
--- trunk/dports/sysutils/xtail/Portfile	(revision 1550)
+++ trunk/dports/sysutils/xtail/Portfile	(revision 1551)
@@ -6,4 +6,15 @@
 maintainers	charlie@rubberduck.com
 description	like 'tail -f' on a bunch of files at once
+long_description	xtail watches the growth of files. It's like running a \
+			"tail -f" on a bunch of files at once. My favorite \
+			usage is: xtail /var/log/* \
+                        You can specify both filenames and directories on the \
+	 		command line. If you specify a directory, it watches all \
+	 		the files in that directory. It will notice when new files \
+			are created (and start watching them) or when old files are \
+			deleted (and stop watching them). \
+			The version 2.1 release fixes a Y2K bug, replaces the fixed-length \
+			file list with a dynamically allocated one, and implements package \
+			configuration with GNU autoconf. 
 platforms	darwin freebsd
 