Index: trunk/dports/databases/postgresql/Portfile
===================================================================
--- trunk/dports/databases/postgresql/Portfile	(revision 1876)
+++ trunk/dports/databases/postgresql/Portfile	(revision 1877)
@@ -56,4 +56,2 @@
 	}
 }
-
-include		contents
Index: trunk/dports/databases/postgresql/contents
===================================================================
--- trunk/dports/databases/postgresql/contents	(revision 1876)
+++ 	(revision )
@@ -1,148 +1,0 @@
-contents	bin/createdb \
-		bin/createlang \
-		bin/createuser \
-		bin/dropdb \
-		bin/droplang \
-		bin/dropuser \
-		bin/ecpg \
-		bin/initdb \
-		bin/initlocation \
-		bin/ipcclean \
-		bin/pg_config \
-		bin/pg_ctl \
-		bin/pg_dump \
-		bin/pg_dumpall \
-		bin/pg_id \
-		bin/pg_passwd \
-		bin/pg_restore \
-		bin/postgres \
-		bin/postmaster \
-		bin/psql \
-		bin/vacuumdb \
-		include/ecpgerrno.h \
-		include/ecpglib.h \
-		include/ecpgtype.h \
-		include/libpgeasy.h \
-		include/libpq/libpq-fs.h \
-		include/libpq-fe.h \
-		include/pg_config.h \
-		include/pg_config_os.h \
-		include/postgres_ext.h \
-		include/internal/c.h \
-		include/internal/lib/dllist.h \
-		include/internal/libpq/pqcomm.h \
-		include/internal/libpq-int.h \
-		include/internal/postgres_fe.h \
-		include/internal/pqexpbuffer.h \
-		include/sql3types.h \
-		include/sqlca.h \
-		lib/libecpg.a \
-		lib/libecpg.3.3.0.dylib \
-		lib/libecpg.dylib \
-		lib/libecpg.dylib.3 \
-		lib/libpgeasy.a \
-		lib/libpgeasy.2.2.dylib \
-		lib/libpgeasy.dylib \
-		lib/libpgeasy.dylib.2 \
-		lib/libpq.a \
-		lib/libpq.2.2.dylib \
-		lib/libpq.dylib \
-		lib/libpq.dylib.2 \
-		lib/plpgsql.dylib \
-		man/man1/createdb.1 \
-		man/man1/createlang.1 \
-		man/man1/createuser.1 \
-		man/man1/dropdb.1 \
-		man/man1/droplang.1 \
-		man/man1/dropuser.1 \
-		man/man1/ecpg.1 \
-		man/man1/initdb.1 \
-		man/man1/initlocation.1 \
-		man/man1/ipcclean.1 \
-		man/man1/pg_config.1 \
-		man/man1/pg_ctl.1 \
-		man/man1/pg_dump.1 \
-		man/man1/pg_dumpall.1 \
-		man/man1/pg_passwd.1 \
-		man/man1/pg_restore.1 \
-		man/man1/pgaccess.1 \
-		man/man1/pgtclsh.1 \
-		man/man1/pgtksh.1 \
-		man/man1/postgres.1 \
-		man/man1/postmaster.1 \
-		man/man1/psql.1 \
-		man/man1/vacuumdb.1 \
-		man/man7/abort.7 \
-		man/man7/alter_group.7 \
-		man/man7/alter_table.7 \
-		man/man7/alter_user.7 \
-		man/man7/analyze.7 \
-		man/man7/begin.7 \
-		man/man7/checkpoint.7 \
-		man/man7/close.7 \
-		man/man7/cluster.7 \
-		man/man7/comment.7 \
-		man/man7/commit.7 \
-		man/man7/copy.7 \
-		man/man7/create_aggregate.7 \
-		man/man7/create_constraint_trigger.7 \
-		man/man7/create_database.7 \
-		man/man7/create_function.7 \
-		man/man7/create_group.7 \
-		man/man7/create_index.7 \
-		man/man7/create_language.7 \
-		man/man7/create_operator.7 \
-		man/man7/create_rule.7 \
-		man/man7/create_sequence.7 \
-		man/man7/create_table.7 \
-		man/man7/create_table_as.7 \
-		man/man7/create_trigger.7 \
-		man/man7/create_type.7 \
-		man/man7/create_user.7 \
-		man/man7/create_view.7 \
-		man/man7/declare.7 \
-		man/man7/delete.7 \
-		man/man7/drop_aggregate.7 \
-		man/man7/drop_database.7 \
-		man/man7/drop_function.7 \
-		man/man7/drop_group.7 \
-		man/man7/drop_index.7 \
-		man/man7/drop_language.7 \
-		man/man7/drop_operator.7 \
-		man/man7/drop_rule.7 \
-		man/man7/drop_sequence.7 \
-		man/man7/drop_table.7 \
-		man/man7/drop_trigger.7 \
-		man/man7/drop_type.7 \
-		man/man7/drop_user.7 \
-		man/man7/drop_view.7 \
-		man/man7/end.7 \
-		man/man7/explain.7 \
-		man/man7/fetch.7 \
-		man/man7/grant.7 \
-		man/man7/insert.7 \
-		man/man7/listen.7 \
-		man/man7/load.7 \
-		man/man7/lock.7 \
-		man/man7/move.7 \
-		man/man7/notify.7 \
-		man/man7/reindex.7 \
-		man/man7/reset.7 \
-		man/man7/revoke.7 \
-		man/man7/rollback.7 \
-		man/man7/select.7 \
-		man/man7/select_into.7 \
-		man/man7/set.7 \
-		man/man7/set_constraints.7 \
-		man/man7/set_session_authorization.7 \
-		man/man7/set_transaction.7 \
-		man/man7/show.7 \
-		man/man7/truncate.7 \
-		man/man7/unlisten.7 \
-		man/man7/update.7 \
-		man/man7/vacuum.7 \
-		share/pg_hba.conf.sample \
-		share/pg_ident.conf.sample \
-		share/postgres.bki \
-		share/postgres.description \
-		share/postgresql.conf.sample