Index: trunk/dports/security/krbafs/Portfile
===================================================================
--- trunk/dports/security/krbafs/Portfile	(revision 1887)
+++ trunk/dports/security/krbafs/Portfile	(revision 1889)
@@ -6,14 +6,23 @@
 maintainers	jpm@opendarwin.org
 description	AFS library
-long_description	krbafs provides a set of AFS client utility functions for managing the AFS client and user's tokens for MIT Kerberos and Kerberos for Macintosh, the Kerberos implementation included with Mac OS X 10.1. It also provides afs_string_to_key() and the Kerberos 4 lifetime functions if they are not available in the local Kerberos implementation.
+long_description	\
+	krbafs provides a set of AFS client utility functions for managing \
+	the AFS client and user's tokens for MIT Kerberos and Kerberos for \
+	Macintosh, the Kerberos implementation included with Mac OS X 10.1. \
+	It also provides afs_string_to_key() and the Kerberos 4 lifetime \
+	functions if they are not available in the local Kerberos \
+	implementation.
+homepage	http://web.mit.edu/openafs/krbafs/
 platforms	darwin
-default_variants	+nocrypto
-master_sites	XXX
-variant nocrypto {
-	master_sites	http://web.mit.edu/openafs/krbafs/
-	checksums	md5 d150416c43532fa35a4a246c972ece07
-	distname	${name}-${version}-nocrypto
-	worksrcdir	${name}-${version}
+master_sites	http://web.mit.edu/openafs/krbafs/
+use_autoconf	yes
+checksums	md5 d150416c43532fa35a4a246c972ece07
+distname	${name}-${version}-nocrypto
+worksrcdir	${name}-${version}
+patchfiles	Makefile.in.diff
+post-patch {
+	reinplace "s|@install_prefix@|${destroot}|g" "${worksrcpath}/Makefile.in"
 }
+
 variant strongcrypto {
 	master_sites	http://www.crypto-publish.org/dist/lxs-krbafs/
@@ -21,8 +30,2 @@
 	distname	${name}-${version}
 }
-use_autoconf	yes
-
-contents \
-	include/krbafs.h \
-	lib/libkrbafs.dylib \
-	man/man3/krbafs.3
Index: trunk/dports/security/krbafs/files/Makefile.in.diff
===================================================================
--- trunk/dports/security/krbafs/files/Makefile.in.diff	(revision 1889)
+++ trunk/dports/security/krbafs/files/Makefile.in.diff	(revision 1889)
@@ -0,0 +1,31 @@
+--- Makefile.in	Sat Jan 25 15:58:31 2003
++++ Makefile.in.monkey	Sat Jan 25 16:09:17 2003
+@@ -20,6 +20,7 @@
+ INSTALL_DATA	= @INSTALL_DATA@
+ MKINSTALLDIRS = @top_srcdir@/mkinstalldirs
+ 
++install_prefix = @install_prefix@
+ prefix = @prefix@
+ exec_prefix = @exec_prefix@
+ libdir = $(exec_prefix)/lib
+@@ -53,13 +54,13 @@
+ 	$(CC) -c $(CPPFLAGS) $(DEFS) -I$(srcdir) $(CFLAGS) $(PICFLAGS) $<
+ 
+ install: all
+-	$(MKINSTALLDIRS) $(includedir)
+-	$(MKINSTALLDIRS) $(libdir)
+-	$(MKINSTALLDIRS) $(mandir)
+-	$(MKINSTALLDIRS) $(man3dir)
+-	$(INSTALL) -m 0555 $(LIB) $(libdir)
+-	$(INSTALL) -m 0644 krbafs.h $(includedir)
+-	$(INSTALL) -m 0644 krbafs.3 $(man3dir)/krbafs.3
++	$(MKINSTALLDIRS) $(install_prefix)$(includedir)
++	$(MKINSTALLDIRS) $(install_prefix)$(libdir)
++	$(MKINSTALLDIRS) $(install_prefix)$(mandir)
++	$(MKINSTALLDIRS) $(install_prefix)$(man3dir)
++	$(INSTALL) -m 0555 $(LIB) $(install_prefix)$(libdir)
++	$(INSTALL) -m 0644 krbafs.h $(install_prefix)$(includedir)
++	$(INSTALL) -m 0644 krbafs.3 $(install_prefix)$(man3dir)/krbafs.3
+ 
+ uninstall:
+ 
Index: trunk/dports/sysutils/krbafs/Portfile
===================================================================
--- trunk/dports/sysutils/krbafs/Portfile	(revision 1887)
+++ trunk/dports/sysutils/krbafs/Portfile	(revision 1889)
@@ -6,14 +6,23 @@
 maintainers	jpm@opendarwin.org
 description	AFS library
-long_description	krbafs provides a set of AFS client utility functions for managing the AFS client and user's tokens for MIT Kerberos and Kerberos for Macintosh, the Kerberos implementation included with Mac OS X 10.1. It also provides afs_string_to_key() and the Kerberos 4 lifetime functions if they are not available in the local Kerberos implementation.
+long_description	\
+	krbafs provides a set of AFS client utility functions for managing \
+	the AFS client and user's tokens for MIT Kerberos and Kerberos for \
+	Macintosh, the Kerberos implementation included with Mac OS X 10.1. \
+	It also provides afs_string_to_key() and the Kerberos 4 lifetime \
+	functions if they are not available in the local Kerberos \
+	implementation.
+homepage	http://web.mit.edu/openafs/krbafs/
 platforms	darwin
-default_variants	+nocrypto
-master_sites	XXX
-variant nocrypto {
-	master_sites	http://web.mit.edu/openafs/krbafs/
-	checksums	md5 d150416c43532fa35a4a246c972ece07
-	distname	${name}-${version}-nocrypto
-	worksrcdir	${name}-${version}
+master_sites	http://web.mit.edu/openafs/krbafs/
+use_autoconf	yes
+checksums	md5 d150416c43532fa35a4a246c972ece07
+distname	${name}-${version}-nocrypto
+worksrcdir	${name}-${version}
+patchfiles	Makefile.in.diff
+post-patch {
+	reinplace "s|@install_prefix@|${destroot}|g" "${worksrcpath}/Makefile.in"
 }
+
 variant strongcrypto {
 	master_sites	http://www.crypto-publish.org/dist/lxs-krbafs/
@@ -21,8 +30,2 @@
 	distname	${name}-${version}
 }
-use_autoconf	yes
-
-contents \
-	include/krbafs.h \
-	lib/libkrbafs.dylib \
-	man/man3/krbafs.3
Index: trunk/dports/sysutils/krbafs/files/Makefile.in.diff
===================================================================
--- trunk/dports/sysutils/krbafs/files/Makefile.in.diff	(revision 1889)
+++ trunk/dports/sysutils/krbafs/files/Makefile.in.diff	(revision 1889)
@@ -0,0 +1,31 @@
+--- Makefile.in	Sat Jan 25 15:58:31 2003
++++ Makefile.in.monkey	Sat Jan 25 16:09:17 2003
+@@ -20,6 +20,7 @@
+ INSTALL_DATA	= @INSTALL_DATA@
+ MKINSTALLDIRS = @top_srcdir@/mkinstalldirs
+ 
++install_prefix = @install_prefix@
+ prefix = @prefix@
+ exec_prefix = @exec_prefix@
+ libdir = $(exec_prefix)/lib
+@@ -53,13 +54,13 @@
+ 	$(CC) -c $(CPPFLAGS) $(DEFS) -I$(srcdir) $(CFLAGS) $(PICFLAGS) $<
+ 
+ install: all
+-	$(MKINSTALLDIRS) $(includedir)
+-	$(MKINSTALLDIRS) $(libdir)
+-	$(MKINSTALLDIRS) $(mandir)
+-	$(MKINSTALLDIRS) $(man3dir)
+-	$(INSTALL) -m 0555 $(LIB) $(libdir)
+-	$(INSTALL) -m 0644 krbafs.h $(includedir)
+-	$(INSTALL) -m 0644 krbafs.3 $(man3dir)/krbafs.3
++	$(MKINSTALLDIRS) $(install_prefix)$(includedir)
++	$(MKINSTALLDIRS) $(install_prefix)$(libdir)
++	$(MKINSTALLDIRS) $(install_prefix)$(mandir)
++	$(MKINSTALLDIRS) $(install_prefix)$(man3dir)
++	$(INSTALL) -m 0555 $(LIB) $(install_prefix)$(libdir)
++	$(INSTALL) -m 0644 krbafs.h $(install_prefix)$(includedir)
++	$(INSTALL) -m 0644 krbafs.3 $(install_prefix)$(man3dir)/krbafs.3
+ 
+ uninstall:
+ 