Index: trunk/dports/net/arla/Portfile
===================================================================
--- trunk/dports/net/arla/Portfile	(revision 1889)
+++ trunk/dports/net/arla/Portfile	(revision 1890)
@@ -1,27 +1,29 @@
 PortSystem 1.0
 name		arla
-version		0.35.10
-revision	0
+version		0.35.11
+revision	1
 categories	net security
 maintainers	jpm@opendarwin.org
 description	free AFS implementation from KTH
-long_description	Arla is a free AFS client implementation. The main \
-	goal of the Arla project is to make a fully functional client with \
-	all capabilities of commercial AFS. Other planned and implemented \
-	things are all the normal management tools and a server.
+long_description	\
+	Arla is a free AFS client implementation. The main goal of the Arla \
+	project is to make a fully functional client with all capabilities \
+	of commercial AFS. Other planned and implemented things are all the \
+	normal management tools and a server.
+homepage	http://www.stacken.kth.se/projekt/arla/
 platforms	darwin
 default_variants	+krbafs
 master_sites	ftp://ftp.stacken.kth.se/pub/arla/
-checksums	md5 3741ec107eae769d74057e80ba3646ef
+checksums	md5 f55aac6637796929f2ae2f0dbb111072
+configure.env	LDFLAGS="-L${prefix}/lib" \
+	CPPFLAGS="-I${prefix}/include"
+
 variant krbafs {
 	depends_lib 	lib:krbafs:krbafs
-	configure.args	--with-krbafs=${prefix}/lib/ --disable-mmap
+	configure.args	--with-krbafs=${prefix} --disable-mmap
 }
+#not working
 #variant kth-krb {
 #	depends_lib 	lib:kth-krb:kth-krb
 #	configure.args	--disable-mmap
 #}
-configure.env	LDFLAGS="-L${prefix}/lib" \
-	CPPFLAGS="-I${prefix}/include"
-
-include 	contents
Index: trunk/dports/net/arla/contents
===================================================================
--- trunk/dports/net/arla/contents	(revision 1889)
+++ 	(revision )
@@ -1,128 +1,0 @@
-contents \
-	bin/aklog \
-	bin/bos \
-	bin/fs \
-	bin/mk_cmds \
-	bin/pts \
-	bin/rxdebug \
-	bin/themis \
-	bin/tokens \
-	bin/udebug \
-	bin/unlog \
-	bin/up \
-	bin/vos \
-	bin/xfs.kext/Contents/Info.plist \
-	bin/xfs.kext/Contents/MacOS/xfs \
-	bin/xfs.kext/Contents/MacOS/ \
-	bin/xfs.kext/Contents/ \
-	bin/xfs.kext/ \
-	bin/ydr \
-	include/afs/cmd.h \
-	include/afs/ \
-	include/arlalib.h \
-	include/atypes.h \
-	include/auth.h \
-	include/base64.h \
-	include/bool.h \
-	include/bos.cs.h \
-	include/cb.cs.h \
-	include/cb.h \
-	include/cb.ss.h \
-	include/cellconfig.h \
-	include/fs_errors.h \
-	include/fs.cs.h \
-	include/fs.h \
-	include/fs.ss.h \
-	include/getarg.h \
-	include/hash.h \
-	include/heap.h \
-	include/ka-procs.h \
-	include/krbafs.h \
-	include/list.h \
-	include/lock.h \
-	include/log.h \
-	include/lwp.h \
-	include/parse_bytes.h \
-	include/parse_time.h \
-	include/parse_units.h \
-	include/preempt.h \
-	include/pts.cs.h \
-	include/pts.h \
-	include/pts.ss.h \
-	include/resolve.h \
-	include/roken.h \
-	include/rtbl.h \
-	include/rx/rx_clock.h \
-	include/rx/rx_event.h \
-	include/rx/rx_globs.h \
-	include/rx/rx_mach.h \
-	include/rx/rx_misc.h \
-	include/rx/rx_multi.h \
-	include/rx/rx_null.h \
-	include/rx/rx_pkt.h \
-	include/rx/rx_queue.h \
-	include/rx/rx_trace.h \
-	include/rx/rx_user.h \
-	include/rx/rx.h \
-	include/rx/rxgencon.h \
-	include/rx/rxkad.h \
-	include/rx/ \
-	include/ss/ss.h \
-	include/ss/ \
-	include/timer.h \
-	include/ubik.cs.h \
-	include/ubik.ss.h \
-	include/vldb.cs.h \
-	include/vldb.h \
-	include/vldb.ss.h \
-	info/arla.info \
-	lib/libacl.a \
-	lib/libarlalib.a \
-	lib/libbosclient.a \
-	lib/libbosserver.a \
-	lib/libbufdir.a \
-	lib/libcmd.a \
-	lib/libeditline.a \
-	lib/libkaclient.a \
-	lib/libkaserver.a \
-	lib/libko.a \
-	lib/liblwp.a \
-	lib/libptclient.a \
-	lib/libptserver.a \
-	lib/libroken.a \
-	lib/librx.a \
-	lib/librxdefclient.a \
-	lib/librxfsserver.a \
-	lib/librxkad.a \
-	lib/librxvlserver.a \
-	lib/librxvolserver.a \
-	lib/libsl.a \
-	lib/libss.a \
-	lib/libutil.a \
-	libexec/arlad \
-	man/man1/aklog.1 \
-	man/man1/fs.1 \
-	man/man1/pts.1 \
-	man/man1/rxdebug.1 \
-	man/man1/themis.1 \
-	man/man1/tokens.1 \
-	man/man1/udebug.1 \
-	man/man1/unlog.1 \
-	man/man3/cmd.3 \
-	man/man3/log_log.3 \
-	man/man5/CellServDB.5 \
-	man/man5/DynRootDB.5 \
-	man/man5/SuidCells.5 \
-	man/man5/ThisCell.5 \
-	man/man8/arla-cli.8 \
-	man/man8/arlad.8 \
-	man/man8/bos.8 \
-	man/man8/mount_xfs.8 \
-	man/man8/umount_xfs.8 \
-	man/man8/vos.8 \
-	sbin/arla-cli \
-	sbin/mount_xfs \
-	sbin/rxperf \
-	sbin/startarla \
-	sbin/umount_xfs \
-	sbin/xfs_makedev