Index: trunk/dports/net/ftpmap/Portfile
===================================================================
--- trunk/dports/net/ftpmap/Portfile	(revision 1892)
+++ trunk/dports/net/ftpmap/Portfile	(revision 1893)
@@ -14,5 +14,2 @@
 checksums		md5 5095c0712e4a906dae75f082acbabffb
 
-contents \
-	bin/ftpmap
-
Index: trunk/dports/net/pureftpd/Portfile
===================================================================
--- trunk/dports/net/pureftpd/Portfile	(revision 1892)
+++ trunk/dports/net/pureftpd/Portfile	(revision 1893)
@@ -4,6 +4,7 @@
 platforms	darwin
 categories	net
-maintainers	ports@syrius.org
-description	Pure-FTPd is a fast and standard-conformant FTP server, based upon Troll-FTPd.
+maintainers	matt@opendarwin.org
+homepage	http://www.pureftpd.org/
+description	A fast and standard-conformant FTP server, based upon Troll-FTPd
 long_description	Pure-FTPd is a fast, production-quality, standard-conformant FTP server, \
 			based upon Troll-FTPd. \
@@ -27,22 +28,2 @@
 		--without-pam
 
-contents \
-	bin/pure-pw  \
-	bin/pure-pwconvert  \
-	bin/pure-statsdecode  \
-	man/man8/pure-authd.8  \
-	man/man8/pure-ftpd.8  \
-	man/man8/pure-ftpwho.8  \
-	man/man8/pure-mrtginfo.8  \
-	man/man8/pure-pw.8  \
-	man/man8/pure-pwconvert.8  \
-	man/man8/pure-quotacheck.8  \
-	man/man8/pure-statsdecode.8  \
-	man/man8/pure-uploadscript.8  \
-	sbin/pure-authd  \
-	sbin/pure-ftpd  \
-	sbin/pure-ftpwho  \
-	sbin/pure-mrtginfo  \
-	sbin/pure-quotacheck  \
-	sbin/pure-uploadscript
-
Index: trunk/dports/security/ccrypt/Portfile
===================================================================
--- trunk/dports/security/ccrypt/Portfile	(revision 1892)
+++ trunk/dports/security/ccrypt/Portfile	(revision 1893)
@@ -1,9 +1,10 @@
 PortSystem 1.0
-name			ccrypt
-version			1.3
-platforms		darwin
-categories		security
-maintainers		ports@syrius.org
-description		ccrypt is an utility for encrypting and decrypting files and streams.
+name		ccrypt
+version		1.3
+platforms	darwin
+categories	security
+maintainers	matt@opendarwin.org
+homepage	http://quasar.mathstat.uottawa.ca/~selinger/ccrypt/
+description	An utility for encrypting and decrypting files and streams
 long_description	Utility for encrypting and decrypting files and streams. It was \
 			designed to replace the standard unix crypt utility, which is notorious for \
@@ -19,13 +20,5 @@
 			is a compatibility mode for decrypting legacy unix crypt files.
 master_sites	http://quasar.mathstat.uottawa.ca/~selinger/ccrypt/download/
-checksums		md5 5dc4646f684273e8fa9f152286b54256
-build.cmd		make check
+checksums	md5 5dc4646f684273e8fa9f152286b54256
+build.cmd	make check
 
-contents \
-	 bin/ccrypt \
-	 man/man1/ccrypt.1 \
-	 doc/ccrypt/ccrypt.html \
-	 share/emacs/site-lisp/jka-compr-ccrypt.el \
-	 share/emacs/site-lisp/jka-compr-ccrypt.elc
-
-
Index: trunk/dports/sysutils/ccrypt/Portfile
===================================================================
--- trunk/dports/sysutils/ccrypt/Portfile	(revision 1892)
+++ trunk/dports/sysutils/ccrypt/Portfile	(revision 1893)
@@ -1,9 +1,10 @@
 PortSystem 1.0
-name			ccrypt
-version			1.3
-platforms		darwin
-categories		security
-maintainers		ports@syrius.org
-description		ccrypt is an utility for encrypting and decrypting files and streams.
+name		ccrypt
+version		1.3
+platforms	darwin
+categories	security
+maintainers	matt@opendarwin.org
+homepage	http://quasar.mathstat.uottawa.ca/~selinger/ccrypt/
+description	An utility for encrypting and decrypting files and streams
 long_description	Utility for encrypting and decrypting files and streams. It was \
 			designed to replace the standard unix crypt utility, which is notorious for \
@@ -19,13 +20,5 @@
 			is a compatibility mode for decrypting legacy unix crypt files.
 master_sites	http://quasar.mathstat.uottawa.ca/~selinger/ccrypt/download/
-checksums		md5 5dc4646f684273e8fa9f152286b54256
-build.cmd		make check
+checksums	md5 5dc4646f684273e8fa9f152286b54256
+build.cmd	make check
 
-contents \
-	 bin/ccrypt \
-	 man/man1/ccrypt.1 \
-	 doc/ccrypt/ccrypt.html \
-	 share/emacs/site-lisp/jka-compr-ccrypt.el \
-	 share/emacs/site-lisp/jka-compr-ccrypt.elc
-
-