Index: trunk/dports/devel/otest/Portfile
===================================================================
--- trunk/dports/devel/otest/Portfile	(revision 1896)
+++ trunk/dports/devel/otest/Portfile	(revision 1897)
@@ -24,5 +24,4 @@
 build.target
 install				{system "cd ${worksrcpath} && ditto -v build/otest \
-					   ${prefix}/bin/otest "}
+					   ${destroot}${prefix}/bin/otest "}
 
-contents			bin/otest
Index: trunk/dports/devel/senfoundation/Portfile
===================================================================
--- trunk/dports/devel/senfoundation/Portfile	(revision 1896)
+++ trunk/dports/devel/senfoundation/Portfile	(revision 1897)
@@ -21,5 +21,4 @@
 
 install				{system "cd ${worksrcpath} && ditto -v build/SenFoundation.framework \
-					   /Library/Frameworks/SenFoundation.framework "}
+					   ${destroot}/Library/Frameworks/SenFoundation.framework "}
 
-include contents
Index: trunk/dports/devel/senfoundation/contents
===================================================================
--- trunk/dports/devel/senfoundation/contents	(revision 1896)
+++ 	(revision )
@@ -1,131 +1,0 @@
-contents \
-	/Library/Frameworks/SenFoundation.framework/Headers/NSArray_SenAdditions.h \
-	/Library/Frameworks/SenFoundation.framework/Headers/NSBundle_SenAdditions.h \
-	/Library/Frameworks/SenFoundation.framework/Headers/NSException_SenAdditions.h \
-	/Library/Frameworks/SenFoundation.framework/Headers/NSMutableDictionary_SenAdditions.h \
-	/Library/Frameworks/SenFoundation.framework/Headers/NSNumber_Extensions.h \
-	/Library/Frameworks/SenFoundation.framework/Headers/NSObject_SenAdditions.h \
-	/Library/Frameworks/SenFoundation.framework/Headers/NSObject_SenRuntimeUtilities.h \
-	/Library/Frameworks/SenFoundation.framework/Headers/NSObject_SenTree.h \
-	/Library/Frameworks/SenFoundation.framework/Headers/NSString_SenAdditions.h \
-	/Library/Frameworks/SenFoundation.framework/Headers/NSTask_SenAdditions.h \
-	/Library/Frameworks/SenFoundation.framework/Headers/NSUserDefaults_SenAdditions.h \
-	/Library/Frameworks/SenFoundation.framework/Headers/SenAssertion.h \
-	/Library/Frameworks/SenFoundation.framework/Headers/SenCollection.h \
-	/Library/Frameworks/SenFoundation.framework/Headers/SenDateInterval.h \
-	/Library/Frameworks/SenFoundation.framework/Headers/SenEmptiness.h \
-	/Library/Frameworks/SenFoundation.framework/Headers/SenFileSystemTree.h \
-	/Library/Frameworks/SenFoundation.framework/Headers/SenFoundation.h \
-	/Library/Frameworks/SenFoundation.framework/Headers/SenFoundationDefines.h \
-	/Library/Frameworks/SenFoundation.framework/Headers/SenMutableTree.h \
-	/Library/Frameworks/SenFoundation.framework/Headers/SenQualifier.h \
-	/Library/Frameworks/SenFoundation.framework/Headers/SenRandom.h \
-	/Library/Frameworks/SenFoundation.framework/Headers/SenSelection.h \
-	/Library/Frameworks/SenFoundation.framework/Headers/SenSortOrdering.h \
-	/Library/Frameworks/SenFoundation.framework/Headers/SenTreeEnumerator.h \
-	/Library/Frameworks/SenFoundation.framework/Headers/SenTrees.h \
-	/Library/Frameworks/SenFoundation.framework/Headers/SenUtilities.h \
-	/Library/Frameworks/SenFoundation.framework/Headers/SenValueTree.h \
-	/Library/Frameworks/SenFoundation.framework/Headers \
-	/Library/Frameworks/SenFoundation.framework/Resources/BundleInserter-windows.gdb \
-	/Library/Frameworks/SenFoundation.framework/Resources/BundleInserter-windows.postamble \
-	/Library/Frameworks/SenFoundation.framework/Resources/BundleInserter-windows.preamble \
-	/Library/Frameworks/SenFoundation.framework/Resources/BundleInserter.gdb \
-	/Library/Frameworks/SenFoundation.framework/Resources/BundleInserter.postamble \
-	/Library/Frameworks/SenFoundation.framework/Resources/BundleInserter.preamble \
-	/Library/Frameworks/SenFoundation.framework/Resources/English.lproj/SenDateInterval.strings \
-	/Library/Frameworks/SenFoundation.framework/Resources/English.lproj \
-	/Library/Frameworks/SenFoundation.framework/Resources/French.lproj/SenDateInterval.strings \
-	/Library/Frameworks/SenFoundation.framework/Resources/French.lproj \
-	/Library/Frameworks/SenFoundation.framework/Resources/Info.plist \
-	/Library/Frameworks/SenFoundation.framework/Resources/pbdevelopment.plist \
-	/Library/Frameworks/SenFoundation.framework/Resources \
-	/Library/Frameworks/SenFoundation.framework/SenFoundation \
-	/Library/Frameworks/SenFoundation.framework/Versions/A/Headers/NSArray_SenAdditions.h \
-	/Library/Frameworks/SenFoundation.framework/Versions/A/Headers/NSBundle_SenAdditions.h \
-	/Library/Frameworks/SenFoundation.framework/Versions/A/Headers/NSException_SenAdditions.h \
-	/Library/Frameworks/SenFoundation.framework/Versions/A/Headers/NSMutableDictionary_SenAdditions.h \
-	/Library/Frameworks/SenFoundation.framework/Versions/A/Headers/NSNumber_Extensions.h \
-	/Library/Frameworks/SenFoundation.framework/Versions/A/Headers/NSObject_SenAdditions.h \
-	/Library/Frameworks/SenFoundation.framework/Versions/A/Headers/NSObject_SenRuntimeUtilities.h \
-	/Library/Frameworks/SenFoundation.framework/Versions/A/Headers/NSObject_SenTree.h \
-	/Library/Frameworks/SenFoundation.framework/Versions/A/Headers/NSString_SenAdditions.h \
-	/Library/Frameworks/SenFoundation.framework/Versions/A/Headers/NSTask_SenAdditions.h \
-	/Library/Frameworks/SenFoundation.framework/Versions/A/Headers/NSUserDefaults_SenAdditions.h \
-	/Library/Frameworks/SenFoundation.framework/Versions/A/Headers/SenAssertion.h \
-	/Library/Frameworks/SenFoundation.framework/Versions/A/Headers/SenCollection.h \
-	/Library/Frameworks/SenFoundation.framework/Versions/A/Headers/SenDateInterval.h \
-	/Library/Frameworks/SenFoundation.framework/Versions/A/Headers/SenEmptiness.h \
-	/Library/Frameworks/SenFoundation.framework/Versions/A/Headers/SenFileSystemTree.h \
-	/Library/Frameworks/SenFoundation.framework/Versions/A/Headers/SenFoundation.h \
-	/Library/Frameworks/SenFoundation.framework/Versions/A/Headers/SenFoundationDefines.h \
-	/Library/Frameworks/SenFoundation.framework/Versions/A/Headers/SenMutableTree.h \
-	/Library/Frameworks/SenFoundation.framework/Versions/A/Headers/SenQualifier.h \
-	/Library/Frameworks/SenFoundation.framework/Versions/A/Headers/SenRandom.h \
-	/Library/Frameworks/SenFoundation.framework/Versions/A/Headers/SenSelection.h \
-	/Library/Frameworks/SenFoundation.framework/Versions/A/Headers/SenSortOrdering.h \
-	/Library/Frameworks/SenFoundation.framework/Versions/A/Headers/SenTreeEnumerator.h \
-	/Library/Frameworks/SenFoundation.framework/Versions/A/Headers/SenTrees.h \
-	/Library/Frameworks/SenFoundation.framework/Versions/A/Headers/SenUtilities.h \
-	/Library/Frameworks/SenFoundation.framework/Versions/A/Headers/SenValueTree.h \
-	/Library/Frameworks/SenFoundation.framework/Versions/A/Headers \
-	/Library/Frameworks/SenFoundation.framework/Versions/A/Resources/BundleInserter-windows.gdb \
-	/Library/Frameworks/SenFoundation.framework/Versions/A/Resources/BundleInserter-windows.postamble \
-	/Library/Frameworks/SenFoundation.framework/Versions/A/Resources/BundleInserter-windows.preamble \
-	/Library/Frameworks/SenFoundation.framework/Versions/A/Resources/BundleInserter.gdb \
-	/Library/Frameworks/SenFoundation.framework/Versions/A/Resources/BundleInserter.postamble \
-	/Library/Frameworks/SenFoundation.framework/Versions/A/Resources/BundleInserter.preamble \
-	/Library/Frameworks/SenFoundation.framework/Versions/A/Resources/English.lproj/SenDateInterval.strings \
-	/Library/Frameworks/SenFoundation.framework/Versions/A/Resources/English.lproj \
-	/Library/Frameworks/SenFoundation.framework/Versions/A/Resources/French.lproj/SenDateInterval.strings \
-	/Library/Frameworks/SenFoundation.framework/Versions/A/Resources/French.lproj \
-	/Library/Frameworks/SenFoundation.framework/Versions/A/Resources/Info.plist \
-	/Library/Frameworks/SenFoundation.framework/Versions/A/Resources/pbdevelopment.plist \
-	/Library/Frameworks/SenFoundation.framework/Versions/A/Resources \
-	/Library/Frameworks/SenFoundation.framework/Versions/A/SenFoundation \
-	/Library/Frameworks/SenFoundation.framework/Versions/A \
-	/Library/Frameworks/SenFoundation.framework/Versions/Current/Headers/NSArray_SenAdditions.h \
-	/Library/Frameworks/SenFoundation.framework/Versions/Current/Headers/NSBundle_SenAdditions.h \
-	/Library/Frameworks/SenFoundation.framework/Versions/Current/Headers/NSException_SenAdditions.h \
-	/Library/Frameworks/SenFoundation.framework/Versions/Current/Headers/NSMutableDictionary_SenAdditions.h \
-	/Library/Frameworks/SenFoundation.framework/Versions/Current/Headers/NSNumber_Extensions.h \
-	/Library/Frameworks/SenFoundation.framework/Versions/Current/Headers/NSObject_SenAdditions.h \
-	/Library/Frameworks/SenFoundation.framework/Versions/Current/Headers/NSObject_SenRuntimeUtilities.h \
-	/Library/Frameworks/SenFoundation.framework/Versions/Current/Headers/NSObject_SenTree.h \
-	/Library/Frameworks/SenFoundation.framework/Versions/Current/Headers/NSString_SenAdditions.h \
-	/Library/Frameworks/SenFoundation.framework/Versions/Current/Headers/NSTask_SenAdditions.h \
-	/Library/Frameworks/SenFoundation.framework/Versions/Current/Headers/NSUserDefaults_SenAdditions.h \
-	/Library/Frameworks/SenFoundation.framework/Versions/Current/Headers/SenAssertion.h \
-	/Library/Frameworks/SenFoundation.framework/Versions/Current/Headers/SenCollection.h \
-	/Library/Frameworks/SenFoundation.framework/Versions/Current/Headers/SenDateInterval.h \
-	/Library/Frameworks/SenFoundation.framework/Versions/Current/Headers/SenEmptiness.h \
-	/Library/Frameworks/SenFoundation.framework/Versions/Current/Headers/SenFileSystemTree.h \
-	/Library/Frameworks/SenFoundation.framework/Versions/Current/Headers/SenFoundation.h \
-	/Library/Frameworks/SenFoundation.framework/Versions/Current/Headers/SenFoundationDefines.h \
-	/Library/Frameworks/SenFoundation.framework/Versions/Current/Headers/SenMutableTree.h \
-	/Library/Frameworks/SenFoundation.framework/Versions/Current/Headers/SenQualifier.h \
-	/Library/Frameworks/SenFoundation.framework/Versions/Current/Headers/SenRandom.h \
-	/Library/Frameworks/SenFoundation.framework/Versions/Current/Headers/SenSelection.h \
-	/Library/Frameworks/SenFoundation.framework/Versions/Current/Headers/SenSortOrdering.h \
-	/Library/Frameworks/SenFoundation.framework/Versions/Current/Headers/SenTreeEnumerator.h \
-	/Library/Frameworks/SenFoundation.framework/Versions/Current/Headers/SenTrees.h \
-	/Library/Frameworks/SenFoundation.framework/Versions/Current/Headers/SenUtilities.h \
-	/Library/Frameworks/SenFoundation.framework/Versions/Current/Headers/SenValueTree.h \
-	/Library/Frameworks/SenFoundation.framework/Versions/Current/Headers \
-	/Library/Frameworks/SenFoundation.framework/Versions/Current/Resources/BundleInserter-windows.gdb \
-	/Library/Frameworks/SenFoundation.framework/Versions/Current/Resources/BundleInserter-windows.postamble \
-	/Library/Frameworks/SenFoundation.framework/Versions/Current/Resources/BundleInserter-windows.preamble \
-	/Library/Frameworks/SenFoundation.framework/Versions/Current/Resources/BundleInserter.gdb \
-	/Library/Frameworks/SenFoundation.framework/Versions/Current/Resources/BundleInserter.postamble \
-	/Library/Frameworks/SenFoundation.framework/Versions/Current/Resources/BundleInserter.preamble \
-	/Library/Frameworks/SenFoundation.framework/Versions/Current/Resources/English.lproj/SenDateInterval.strings \
-	/Library/Frameworks/SenFoundation.framework/Versions/Current/Resources/English.lproj \
-	/Library/Frameworks/SenFoundation.framework/Versions/Current/Resources/French.lproj/SenDateInterval.strings \
-	/Library/Frameworks/SenFoundation.framework/Versions/Current/Resources/French.lproj \
-	/Library/Frameworks/SenFoundation.framework/Versions/Current/Resources/Info.plist \
-	/Library/Frameworks/SenFoundation.framework/Versions/Current/Resources/pbdevelopment.plist \
-	/Library/Frameworks/SenFoundation.framework/Versions/Current/Resources \
-	/Library/Frameworks/SenFoundation.framework/Versions/Current/SenFoundation \
-	/Library/Frameworks/SenFoundation.framework/Versions/Current \
-	/Library/Frameworks/SenFoundation.framework/Versions \
-	/Library/Frameworks/SenFoundation.framework
Index: trunk/dports/devel/sentestingkit/Portfile
===================================================================
--- trunk/dports/devel/sentestingkit/Portfile	(revision 1896)
+++ trunk/dports/devel/sentestingkit/Portfile	(revision 1897)
@@ -24,5 +24,4 @@
 
 install				{system "cd ${worksrcpath} && ditto -v build/SenTestingKit.framework \
-					   /Library/Frameworks/SenTestingKit.framework "}
+					   ${destroot}/Library/Frameworks/SenTestingKit.framework "}
 
-include contents
Index: trunk/dports/devel/sentestingkit/contents
===================================================================
--- trunk/dports/devel/sentestingkit/contents	(revision 1896)
+++ 	(revision )
@@ -1,37 +1,0 @@
-contents \
-	/Library/Frameworks/SenTestingKit.framework/Headers \
-	/Library/Frameworks/SenTestingKit.framework/Resources \
-	/Library/Frameworks/SenTestingKit.framework/SenTestingKit \
-	/Library/Frameworks/SenTestingKit.framework/Versions/A/Headers/NSException_SenTestFailure.h \
-	/Library/Frameworks/SenTestingKit.framework/Versions/A/Headers/SenInterfaceTestCase.h \
-	/Library/Frameworks/SenTestingKit.framework/Versions/A/Headers/SenTest.h \
-	/Library/Frameworks/SenTestingKit.framework/Versions/A/Headers/SenTestCase.h \
-	/Library/Frameworks/SenTestingKit.framework/Versions/A/Headers/SenTestCase_Macros.h \
-	/Library/Frameworks/SenTestingKit.framework/Versions/A/Headers/SenTestCaseRun.h \
-	/Library/Frameworks/SenTestingKit.framework/Versions/A/Headers/SenTestDefines.h \
-	/Library/Frameworks/SenTestingKit.framework/Versions/A/Headers/SenTestDistributedNotifier.h \
-	/Library/Frameworks/SenTestingKit.framework/Versions/A/Headers/SenTestingKit.h \
-	/Library/Frameworks/SenTestingKit.framework/Versions/A/Headers/SenTestLog.h \
-	/Library/Frameworks/SenTestingKit.framework/Versions/A/Headers/SenTestObserver.h \
-	/Library/Frameworks/SenTestingKit.framework/Versions/A/Headers/SenTestProbe.h \
-	/Library/Frameworks/SenTestingKit.framework/Versions/A/Headers/SenTestRun.h \
-	/Library/Frameworks/SenTestingKit.framework/Versions/A/Headers/SenTestSuite.h \
-	/Library/Frameworks/SenTestingKit.framework/Versions/A/Headers/SenTestSuiteRun.h \
-	/Library/Frameworks/SenTestingKit.framework/Versions/A/Headers \
-	/Library/Frameworks/SenTestingKit.framework/Versions/A/Resources/ApplicationWrapperExtensions.plist \
-	/Library/Frameworks/SenTestingKit.framework/Versions/A/Resources/Documentation/IntroSenTestingKit.html \
-	/Library/Frameworks/SenTestingKit.framework/Versions/A/Resources/Documentation/SenTest.html \
-	/Library/Frameworks/SenTestingKit.framework/Versions/A/Resources/Documentation/SenTestCase.html \
-	/Library/Frameworks/SenTestingKit.framework/Versions/A/Resources/Documentation/SenTestingKitTOC.html \
-	/Library/Frameworks/SenTestingKit.framework/Versions/A/Resources/Documentation/SenTestSuite.html \
-	/Library/Frameworks/SenTestingKit.framework/Versions/A/Resources/Documentation \
-	/Library/Frameworks/SenTestingKit.framework/Versions/A/Resources/Info.plist \
-	/Library/Frameworks/SenTestingKit.framework/Versions/A/Resources/NoSourceDirectoryExtensions.plist \
-	/Library/Frameworks/SenTestingKit.framework/Versions/A/Resources/pbdevelopment.plist \
-	/Library/Frameworks/SenTestingKit.framework/Versions/A/Resources/SenTestRun.html \
-	/Library/Frameworks/SenTestingKit.framework/Versions/A/Resources \
-	/Library/Frameworks/SenTestingKit.framework/Versions/A/SenTestingKit \
-	/Library/Frameworks/SenTestingKit.framework/Versions/A \
-	/Library/Frameworks/SenTestingKit.framework/Versions/Current \
-	/Library/Frameworks/SenTestingKit.framework/Versions \
-	/Library/Frameworks/SenTestingKit.framework
Index: trunk/dports/devel/shikenjo/Portfile
===================================================================
--- trunk/dports/devel/shikenjo/Portfile	(revision 1896)
+++ trunk/dports/devel/shikenjo/Portfile	(revision 1897)
@@ -22,5 +22,4 @@
 build.target
 install				{system "cd ${worksrcpath} && ditto -v build/Shikenjo.app \
-					   /Applications/Shikenjo.app "}
+					   ${destroot}/Applications/Shikenjo.app "}
 
-include contents
Index: trunk/dports/devel/shikenjo/contents
===================================================================
--- trunk/dports/devel/shikenjo/contents	(revision 1896)
+++ 	(revision )
@@ -1,37 +1,0 @@
-contents \
-	/Applications/Shikenjo.app/Contents/Info.plist \
-	/Applications/Shikenjo.app/Contents/MacOS/Shikenjo \
-	/Applications/Shikenjo.app/Contents/MacOS \
-	/Applications/Shikenjo.app/Contents/pbdevelopment.plist \
-	/Applications/Shikenjo.app/Contents/PkgInfo \
-	/Applications/Shikenjo.app/Contents/Resources/English.lproj/InfoPanel-macos.nib/classes.nib \
-	/Applications/Shikenjo.app/Contents/Resources/English.lproj/InfoPanel-macos.nib/info.nib \
-	/Applications/Shikenjo.app/Contents/Resources/English.lproj/InfoPanel-macos.nib/objects.nib \
-	/Applications/Shikenjo.app/Contents/Resources/English.lproj/InfoPanel-macos.nib \
-	/Applications/Shikenjo.app/Contents/Resources/English.lproj/InfoPanel.nib/classes.nib \
-	/Applications/Shikenjo.app/Contents/Resources/English.lproj/InfoPanel.nib/objects.nib \
-	/Applications/Shikenjo.app/Contents/Resources/English.lproj/InfoPanel.nib \
-	/Applications/Shikenjo.app/Contents/Resources/English.lproj/Localizable.strings \
-	/Applications/Shikenjo.app/Contents/Resources/English.lproj/Shikenjo-macos.nib/classes.nib \
-	/Applications/Shikenjo.app/Contents/Resources/English.lproj/Shikenjo-macos.nib/info.nib \
-	/Applications/Shikenjo.app/Contents/Resources/English.lproj/Shikenjo-macos.nib/NSAppleMenuImage.tiff \
-	/Applications/Shikenjo.app/Contents/Resources/English.lproj/Shikenjo-macos.nib/objects.nib \
-	/Applications/Shikenjo.app/Contents/Resources/English.lproj/Shikenjo-macos.nib \
-	/Applications/Shikenjo.app/Contents/Resources/English.lproj/Shikenjo.nib/classes.nib \
-	/Applications/Shikenjo.app/Contents/Resources/English.lproj/Shikenjo.nib/NSAppleMenuImage.tiff \
-	/Applications/Shikenjo.app/Contents/Resources/English.lproj/Shikenjo.nib/objects.nib \
-	/Applications/Shikenjo.app/Contents/Resources/English.lproj/Shikenjo.nib \
-	/Applications/Shikenjo.app/Contents/Resources/English.lproj \
-	/Applications/Shikenjo.app/Contents/Resources/Error.tiff \
-	/Applications/Shikenjo.app/Contents/Resources/Failure.tiff \
-	/Applications/Shikenjo.app/Contents/Resources/Inspector.tiff \
-	/Applications/Shikenjo.app/Contents/Resources/Klein.tiff \
-	/Applications/Shikenjo.app/Contents/Resources/Options.tiff \
-	/Applications/Shikenjo.app/Contents/Resources/Run.tiff \
-	/Applications/Shikenjo.app/Contents/Resources/Sente.pdf \
-	/Applications/Shikenjo.app/Contents/Resources/Sente_70.eps \
-	/Applications/Shikenjo.app/Contents/Resources/Shikenjo.tiff \
-	/Applications/Shikenjo.app/Contents/Resources/Stop.tiff \
-	/Applications/Shikenjo.app/Contents/Resources \
-	/Applications/Shikenjo.app/Contents \
-	/Applications/Shikenjo.app