Index: trunk/dports/audio/libmikmod/Portfile
===================================================================
--- trunk/dports/audio/libmikmod/Portfile	(revision 2069)
+++ trunk/dports/audio/libmikmod/Portfile	(revision 2071)
@@ -14,5 +14,5 @@
 
 master_sites	http://www.mikmod.org/files/libmikmod/ \
-		http://www.opendarwin.org/projects/darwinports/distfiles/:lt
+		http://distfiles.opendarwin.org/:lt
 
 distfiles-append ltconfig13:lt ltmain13:lt
Index: trunk/dports/databases/mysql/Portfile
===================================================================
--- trunk/dports/databases/mysql/Portfile	(revision 2069)
+++ trunk/dports/databases/mysql/Portfile	(revision 2071)
@@ -11,5 +11,5 @@
 master_sites		ftp://ftp.sunet.se/pub/unix/databases/relational/mysql/Downloads/MySQL-3.23/ \
 			ftp://ftp.FreeBSD.org/pub/FreeBSD/distfiles/ \
-			http://www.opendarwin.org/projects/darwinports/distfiles/:lt
+			http://distfiles.opendarwin.org/:lt
 
 set filename		${portname}-${portversion}${extract.sufx}
Index: trunk/dports/devel/glib/Portfile
===================================================================
--- trunk/dports/devel/glib/Portfile	(revision 2069)
+++ trunk/dports/devel/glib/Portfile	(revision 2071)
@@ -13,5 +13,5 @@
 
 master_sites	ftp://ftp.gtk.org/pub/gtk/v1.2/ \
-		http://www.opendarwin.org/projects/darwinports/distfiles/:lt
+		http://distfiles.opendarwin.org/:lt
 
 set filename	${portname}-${portversion}${extract.sufx}
Index: trunk/dports/devel/libcompat/Portfile
===================================================================
--- trunk/dports/devel/libcompat/Portfile	(revision 2069)
+++ trunk/dports/devel/libcompat/Portfile	(revision 2071)
@@ -8,5 +8,5 @@
 platforms	darwin
 use_bzip2	yes
-master_sites	http://www.opendarwin.org/projects/darwinports/distfiles/
+master_sites	http://distfiles.opendarwin.org/
 checksums	md5 4e0ddeec2be3a2c8caf24a3ed51b8501
 build.type	bsd
Index: trunk/dports/games/fortune/Portfile
===================================================================
--- trunk/dports/games/fortune/Portfile	(revision 2069)
+++ trunk/dports/games/fortune/Portfile	(revision 2071)
@@ -7,5 +7,5 @@
 platforms	darwin
 use_bzip2	yes
-master_sites	http://www.opendarwin.org/projects/darwinports/distfiles/
+master_sites    http://distfiles.opendarwin.org/	
 checksums	md5 99166e1c47d4b60c865a31d59d359b16
 depends_lib	lib:libcompat.1:libcompat
Index: trunk/dports/games/larn/Portfile
===================================================================
--- trunk/dports/games/larn/Portfile	(revision 2069)
+++ trunk/dports/games/larn/Portfile	(revision 2071)
@@ -7,5 +7,5 @@
 platforms	darwin
 use_bzip2	yes
-master_sites	http://www.opendarwin.org/projects/darwinports/distfiles/
+master_sites	http://distfiles.opendarwin.org/
 checksums	md5 cea96f48caa057793f6bcaf3394ca388
 build.type	bsd
Index: trunk/dports/games/wump/Portfile
===================================================================
--- trunk/dports/games/wump/Portfile	(revision 2069)
+++ trunk/dports/games/wump/Portfile	(revision 2071)
@@ -7,5 +7,5 @@
 platforms	darwin
 use_bzip2	yes
-master_sites	http://www.opendarwin.org/projects/darwinports/distfiles/
+master_sites	http://distfiles.opendarwin.org/
 checksums	md5 415c4b47458ac66f760b0a930a63c955
 build.type	bsd
Index: trunk/dports/graphics/imlib/Portfile
===================================================================
--- trunk/dports/graphics/imlib/Portfile	(revision 2069)
+++ trunk/dports/graphics/imlib/Portfile	(revision 2071)
@@ -13,5 +13,5 @@
 
 master_sites	ftp://ftp.gnome.org/pub/gnome/sources/imlib/1.9/ \
-		http://www.opendarwin.org/projects/darwinports/distfiles/:lt
+		http://distfiles.opendarwin.org/:lt
 distfiles-append ltconfig13:lt ltmain13:lt
 extract.only	${distname}${extract.sufx}
Index: trunk/dports/graphics/libungif/Portfile
===================================================================
--- trunk/dports/graphics/libungif/Portfile	(revision 2069)
+++ trunk/dports/graphics/libungif/Portfile	(revision 2071)
@@ -14,5 +14,5 @@
 master_sites	ftp://ftp.ayamura.org/pub/graphics/ \
 		ftp://ftp.FreeBSD.org/pub/FreeBSD/distfiles/ \
-		http://www.opendarwin.org/projects/darwinports/distfiles/:lt
+		http://distfiles.opendarwin.org/:lt
 
 set filename	${portname}-${portversion}${extract.sufx}
Index: trunk/dports/mail/mutt/Portfile
===================================================================
--- trunk/dports/mail/mutt/Portfile	(revision 2069)
+++ trunk/dports/mail/mutt/Portfile	(revision 2071)
@@ -27,5 +27,5 @@
 variant nntp	{ configure.args-append --enable-nntp
 		  patch_sites \
-		    http://www.opendarwin.org/projects/darwinports/distfiles/
+		    http://distfiles.opendarwin.org/
 		  patchfiles-append mutt-nntp-patch.bz2
 		  checksums mutt-1.4i.tar.gz md5 \
Index: trunk/dports/net/fetch/Portfile
===================================================================
--- trunk/dports/net/fetch/Portfile	(revision 2069)
+++ trunk/dports/net/fetch/Portfile	(revision 2071)
@@ -7,5 +7,5 @@
 platforms	darwin
 use_bzip2	yes
-master_sites	http://www.opendarwin.org/projects/darwinports/distfiles/
+master_sites	http://distfiles.opendarwin.org/
 checksums	md5 08c3a2b57be775c1d630f5a9097451d1
 worksrcdir	${portname}
Index: trunk/dports/net/libfetch/Portfile
===================================================================
--- trunk/dports/net/libfetch/Portfile	(revision 2069)
+++ trunk/dports/net/libfetch/Portfile	(revision 2071)
@@ -7,5 +7,5 @@
 platforms	darwin
 use_bzip2	yes
-master_sites	http://www.opendarwin.org/projects/darwinports/distfiles/
+master_sites	http://distfiles.opendarwin.org/
 checksums	md5 81e390ad3bf8309f65c923a0c034e841
 patchfiles	patch-Makefile patch-http.c
Index: trunk/dports/print/teTeX/Portfile
===================================================================
--- trunk/dports/print/teTeX/Portfile	(revision 2069)
+++ trunk/dports/print/teTeX/Portfile	(revision 2071)
@@ -29,5 +29,5 @@
 			http://www.dnsbalance.ring.gr.jp/archives/text/CTAN/systems/unix/teTeX/1.0/distrib/sources/ \
 			ftp://ftp.chg.ru/pub/TeX/CTAN/systems/unix/teTeX/1.0/distrib/sources/ \
-			http://www.opendarwin.org/projects/darwinports/distfiles/:lt
+			http://distfiles.opendarwin.org/:lt
 
 dist_subdir		teTeX
Index: trunk/dports/x11/gtk/Portfile
===================================================================
--- trunk/dports/x11/gtk/Portfile	(revision 2069)
+++ trunk/dports/x11/gtk/Portfile	(revision 2071)
@@ -13,5 +13,5 @@
 
 master_sites	ftp://ftp.gtk.org/pub/gtk/v1.2/ \
-		http://www.opendarwin.org/projects/darwinports/distfiles/:lt
+		http://distfiles.opendarwin.org/:lt
 
 distname	${portname}+-${portversion}