Index: trunk/base/doc/Makefile
===================================================================
--- trunk/base/doc/Makefile	(revision 2070)
+++ trunk/base/doc/Makefile	(revision 2074)
@@ -10,7 +10,7 @@
 	mkdir -p ${INSTALLDIR}
 	
-	cat prefix.mtree | sed -e "s/uname=UNAME/uname=${DSTUSR}/" | \
-	sed -e "s/gname=GNAME/gname=${DSTGRP}/" | \
-	mtree -U -d -e -p ${INSTALLDIR} > /dev/null
+	cat prefix.mtree.pre | sed -e "s/uname=UNAME/uname=${DSTUSR}/" | \
+	sed -e "s/gname=GNAME/gname=${DSTGRP}/" > prefix.mtree
+	cat prefix.mtree | mtree -U -d -e -p ${INSTALLDIR} > /dev/null
 	@if [ ! -e ${DESTDIR}/${ETCDIR}/ports.conf ]; then \
 		set -x; \
@@ -23,4 +23,6 @@
 	fi
 	install -o ${DSTUSR} -g ${DSTGRP} -m 644 prefix.mtree ${DESTDIR}${ETCDIR}
+	install -o ${DSTUSR} -g ${DSTGRP} -m 644 prefix.mtree ${INSTALLDIR}/share/darwinports/resources/port1.0/install/
+	install -o ${DSTUSR} -g ${DSTGRP} -m 644 macosx.mtree ${INSTALLDIR}/share/darwinports/resources/port1.0/install/
 	install -o ${DSTUSR} -g ${DSTGRP} -m 444 portfile.7 ${INSTALLDIR}/man/man7
 	install -o ${DSTUSR} -g ${DSTGRP} -m 444 portstyle.7 ${INSTALLDIR}/man/man7
Index: trunk/base/doc/macosx.mtree
===================================================================
--- trunk/base/doc/macosx.mtree	(revision 2074)
+++ trunk/base/doc/macosx.mtree	(revision 2074)
@@ -0,0 +1,14 @@
+# $FreeBSD: src/etc/mtree/BSD.local.dist,v 1.55.2.19 2002/08/17 19:11:15 ache Exp $
+#
+# Please see the file src/etc/mtree/README before making changes to this file.
+#
+
+/set type=dir uname=root gname=admin mode=0775
+.
+    Applications
+    ..
+    Developer
+    ..
+    Library
+    ..
+..
Index: trunk/base/doc/prefix.mtree
===================================================================
--- trunk/base/doc/prefix.mtree	(revision 2070)
+++ 	(revision )
@@ -1,250 +1,0 @@
-# $FreeBSD: src/etc/mtree/BSD.local.dist,v 1.55.2.19 2002/08/17 19:11:15 ache Exp $
-#
-# Please see the file src/etc/mtree/README before making changes to this file.
-#
-
-/set type=dir uname=UNAME gname=GNAME mode=0775
-.
-    bin
-    ..
-    doc
-    ..
-    etc
-    ..
-    include
-    ..
-    info
-    ..
-    lib
-    ..
-    libexec
-    ..
-    man
-        cat1
-        ..
-        cat2
-        ..
-        cat3
-        ..
-        cat4
-        ..
-        cat5
-        ..
-        cat6
-        ..
-        cat7
-        ..
-        cat8
-        ..
-        cat9
-        ..
-        catl
-        ..
-        catn
-        ..
-        man1
-        ..
-        man2
-        ..
-        man3
-        ..
-        man4
-        ..
-        man5
-        ..
-        man6
-        ..
-        man7
-        ..
-        man8
-        ..
-        man9
-        ..
-        manl
-        ..
-        mann
-        ..
-    ..
-    sbin
-    ..
-    share
-        nls
-            C
-            ..
-            af_ZA.ISO8859-1
-            ..
-            af_ZA.ISO8859-15
-            ..
-            bg_BG.CP1251
-            ..
-            cs_CZ.ISO8859-2
-            ..
-            da_DK.ISO8859-1
-            ..
-            da_DK.ISO8859-15
-            ..
-            de_AT.ISO8859-1
-            ..
-            de_AT.ISO8859-15
-            ..
-            de_CH.ISO8859-1
-            ..
-            de_CH.ISO8859-15
-            ..
-            de_DE.ISO8859-1
-            ..
-            de_DE.ISO8859-15
-            ..
-            el_GR.ISO8859-7
-            ..
-            en_AU.ISO8859-1
-            ..
-            en_AU.ISO8859-15
-            ..
-            en_AU.US-ASCII
-            ..
-            en_CA.ISO8859-1
-            ..
-            en_CA.ISO8859-15
-            ..
-            en_CA.US-ASCII
-            ..
-            en_GB.ISO8859-1
-            ..
-            en_GB.ISO8859-15
-            ..
-            en_GB.US-ASCII
-            ..
-            en_NZ.ISO8859-1
-            ..
-            en_NZ.ISO8859-15
-            ..
-            en_NZ.US-ASCII
-            ..
-            en_US.ISO8859-1
-            ..
-            en_US.ISO8859-15
-            ..
-            es_ES.ISO8859-1
-            ..
-            es_ES.ISO8859-15
-            ..
-            et_EE.ISO8859-15
-            ..
-            fi_FI.ISO8859-1
-            ..
-            fi_FI.ISO8859-15
-            ..
-            fr_BE.ISO8859-1
-            ..
-            fr_BE.ISO8859-15
-            ..
-            fr_CA.ISO8859-1
-            ..
-            fr_CA.ISO8859-15
-            ..
-            fr_CH.ISO8859-1
-            ..
-            fr_CH.ISO8859-15
-            ..
-            fr_FR.ISO8859-1
-            ..
-            fr_FR.ISO8859-15
-            ..
-            hi_IN.ISCII-DEV
-            ..
-            hr_HR.ISO8859-2
-            ..
-            hu_HU.ISO8859-2
-            ..
-            is_IS.ISO8859-1
-            ..
-            is_IS.ISO8859-15
-            ..
-            it_CH.ISO8859-1
-            ..
-            it_CH.ISO8859-15
-            ..
-            it_IT.ISO8859-1
-            ..
-            it_IT.ISO8859-15
-            ..
-            ja_JP.SJIS
-            ..
-            ja_JP.eucJP
-            ..
-            ko_KR.eucKR
-            ..
-            la_LN.ISO8859-1
-            ..
-            la_LN.ISO8859-15
-            ..
-            la_LN.ISO8859-2
-            ..
-            la_LN.ISO8859-4
-            ..
-            la_LN.US-ASCII
-            ..
-            lt_LT.ISO8859-4
-            ..
-            nl_BE.ISO8859-1
-            ..
-            nl_BE.ISO8859-15
-            ..
-            nl_NL.ISO8859-1
-            ..
-            nl_NL.ISO8859-15
-            ..
-            no_NO.ISO8859-1
-            ..
-            no_NO.ISO8859-15
-            ..
-            pl_PL.ISO8859-2
-            ..
-            pt_BR.ISO8859-1
-            ..
-            pt_PT.ISO8859-1
-            ..
-            pt_PT.ISO8859-15
-            ..
-            ro_RO.ISO8859-2
-            ..
-            ru_RU.CP866
-            ..
-            ru_RU.ISO8859-5
-            ..
-            ru_RU.KOI8-R
-            ..
-            sk_SK.ISO8859-2
-            ..
-            sl_SI.ISO8859-2
-            ..
-            sv_SE.ISO8859-1
-            ..
-            sv_SE.ISO8859-15
-            ..
-            tr_TR.ISO8859-9
-            ..
-            uk_UA.ISO8859-5
-            ..
-            uk_UA.KOI8-U
-            ..
-            zh_CN.eucCN
-            ..
-            zh_TW.Big5
-            ..
-	..
-        skel
-        ..
-    ..
-    var
-        db
-            dports
-                distfiles
-                ..
-                receipts
-                ..
-            ..
-        ..
-    ..
-..
Index: trunk/base/doc/prefix.mtree.pre
===================================================================
--- trunk/base/doc/prefix.mtree.pre	(revision 2074)
+++ trunk/base/doc/prefix.mtree.pre	(revision 2074)
@@ -0,0 +1,250 @@
+# $FreeBSD: src/etc/mtree/BSD.local.dist,v 1.55.2.19 2002/08/17 19:11:15 ache Exp $
+#
+# Please see the file src/etc/mtree/README before making changes to this file.
+#
+
+/set type=dir uname=UNAME gname=GNAME mode=0775
+.
+    bin
+    ..
+    doc
+    ..
+    etc
+    ..
+    include
+    ..
+    info
+    ..
+    lib
+    ..
+    libexec
+    ..
+    man
+        cat1
+        ..
+        cat2
+        ..
+        cat3
+        ..
+        cat4
+        ..
+        cat5
+        ..
+        cat6
+        ..
+        cat7
+        ..
+        cat8
+        ..
+        cat9
+        ..
+        catl
+        ..
+        catn
+        ..
+        man1
+        ..
+        man2
+        ..
+        man3
+        ..
+        man4
+        ..
+        man5
+        ..
+        man6
+        ..
+        man7
+        ..
+        man8
+        ..
+        man9
+        ..
+        manl
+        ..
+        mann
+        ..
+    ..
+    sbin
+    ..
+    share
+        nls
+            C
+            ..
+            af_ZA.ISO8859-1
+            ..
+            af_ZA.ISO8859-15
+            ..
+            bg_BG.CP1251
+            ..
+            cs_CZ.ISO8859-2
+            ..
+            da_DK.ISO8859-1
+            ..
+            da_DK.ISO8859-15
+            ..
+            de_AT.ISO8859-1
+            ..
+            de_AT.ISO8859-15
+            ..
+            de_CH.ISO8859-1
+            ..
+            de_CH.ISO8859-15
+            ..
+            de_DE.ISO8859-1
+            ..
+            de_DE.ISO8859-15
+            ..
+            el_GR.ISO8859-7
+            ..
+            en_AU.ISO8859-1
+            ..
+            en_AU.ISO8859-15
+            ..
+            en_AU.US-ASCII
+            ..
+            en_CA.ISO8859-1
+            ..
+            en_CA.ISO8859-15
+            ..
+            en_CA.US-ASCII
+            ..
+            en_GB.ISO8859-1
+            ..
+            en_GB.ISO8859-15
+            ..
+            en_GB.US-ASCII
+            ..
+            en_NZ.ISO8859-1
+            ..
+            en_NZ.ISO8859-15
+            ..
+            en_NZ.US-ASCII
+            ..
+            en_US.ISO8859-1
+            ..
+            en_US.ISO8859-15
+            ..
+            es_ES.ISO8859-1
+            ..
+            es_ES.ISO8859-15
+            ..
+            et_EE.ISO8859-15
+            ..
+            fi_FI.ISO8859-1
+            ..
+            fi_FI.ISO8859-15
+            ..
+            fr_BE.ISO8859-1
+            ..
+            fr_BE.ISO8859-15
+            ..
+            fr_CA.ISO8859-1
+            ..
+            fr_CA.ISO8859-15
+            ..
+            fr_CH.ISO8859-1
+            ..
+            fr_CH.ISO8859-15
+            ..
+            fr_FR.ISO8859-1
+            ..
+            fr_FR.ISO8859-15
+            ..
+            hi_IN.ISCII-DEV
+            ..
+            hr_HR.ISO8859-2
+            ..
+            hu_HU.ISO8859-2
+            ..
+            is_IS.ISO8859-1
+            ..
+            is_IS.ISO8859-15
+            ..
+            it_CH.ISO8859-1
+            ..
+            it_CH.ISO8859-15
+            ..
+            it_IT.ISO8859-1
+            ..
+            it_IT.ISO8859-15
+            ..
+            ja_JP.SJIS
+            ..
+            ja_JP.eucJP
+            ..
+            ko_KR.eucKR
+            ..
+            la_LN.ISO8859-1
+            ..
+            la_LN.ISO8859-15
+            ..
+            la_LN.ISO8859-2
+            ..
+            la_LN.ISO8859-4
+            ..
+            la_LN.US-ASCII
+            ..
+            lt_LT.ISO8859-4
+            ..
+            nl_BE.ISO8859-1
+            ..
+            nl_BE.ISO8859-15
+            ..
+            nl_NL.ISO8859-1
+            ..
+            nl_NL.ISO8859-15
+            ..
+            no_NO.ISO8859-1
+            ..
+            no_NO.ISO8859-15
+            ..
+            pl_PL.ISO8859-2
+            ..
+            pt_BR.ISO8859-1
+            ..
+            pt_PT.ISO8859-1
+            ..
+            pt_PT.ISO8859-15
+            ..
+            ro_RO.ISO8859-2
+            ..
+            ru_RU.CP866
+            ..
+            ru_RU.ISO8859-5
+            ..
+            ru_RU.KOI8-R
+            ..
+            sk_SK.ISO8859-2
+            ..
+            sl_SI.ISO8859-2
+            ..
+            sv_SE.ISO8859-1
+            ..
+            sv_SE.ISO8859-15
+            ..
+            tr_TR.ISO8859-9
+            ..
+            uk_UA.ISO8859-5
+            ..
+            uk_UA.KOI8-U
+            ..
+            zh_CN.eucCN
+            ..
+            zh_TW.Big5
+            ..
+	..
+        skel
+        ..
+    ..
+    var
+        db
+            dports
+                distfiles
+                ..
+                receipts
+                ..
+            ..
+        ..
+    ..
+..