Index: trunk/dports/archivers/unzip/Portfile
===================================================================
--- trunk/dports/archivers/unzip/Portfile	(revision 2078)
+++ trunk/dports/archivers/unzip/Portfile	(revision 2078)
@@ -0,0 +1,32 @@
+PortSystem 1.0
+name           unzip
+version        5.50
+maintainers    michaelm@opendarwin.org
+categories     sysutils
+master_sites  \
+              http://uiarchive.uiuc.edu/mirrors/ftp/ftp.info-zip.org/pub/infozip/src/ \
+              ftp://uiarchive.cso.uiuc.edu/pub/ftp/ftp.info-zip.org/pub/infozip/src/ \
+              http://www.mirror.ac.uk/sites/ftp.info-zip.org/pub/infozip/src/ \
+              ftp://sunsite.icm.edu.pl/pub/unix/archiving/info-zip/src/ \
+              http://sunsite.cnlab-switch.ch/ftp/mirror/infozip/src/ \
+              ftp://sunsite.cnlab-switch.ch/mirror/infozip/src/ \
+              ftp://ftp.info-zip.org/pub/infozip/src/
+
+checksums      md5 798592d62e37f92571184236947122ed
+homepage       http://www.info-zip.org/pub/infozip/Zip.html
+description    Decompression compatible with pkunzip
+distname       ${name}550
+worksrcdir     ${name}-${version}
+configure      {}
+build.target   
+build.args     -f unix/Makefile macosx
+install.args   -f unix/Makefile install BINDIR=${destroot}${prefix}/bin MANDIR=${destroot}${prefix}/man/man1
+
+long_description \
+Zip is different from gzip in that it allows packing multiple files into a \
+single archive (without the assistance of tar). It is compatible with pkzip, \
+pkunzip, and other Windows zip utilities. \
+ \
+This utility is necessary to install several packages in a pure Darwin \
+installation, as Darwin does not come with zip/unzip. \
+
Index: trunk/dports/archivers/zip/Portfile
===================================================================
--- trunk/dports/archivers/zip/Portfile	(revision 2078)
+++ trunk/dports/archivers/zip/Portfile	(revision 2078)
@@ -0,0 +1,22 @@
+PortSystem 1.0
+
+name              zip
+version           2.3
+categories        sysutils
+description       compression utility
+homepage          http://www.info-zip.org/pub/infozip/Zip.html
+master_sites      ftp://ftp.uu.net/pub/archiving/zip/src/
+distname          ${name}23
+checksums         md5 5206a99541f3b0ab90f1baa167392c4f
+#patchfiles        patch-Makefile   patch-zip.c      patch-ziperr.h \
+#                    patch-configure  patch-zipcloak.c patch-zipsplit.c
+worksrcdir        ${name}-${version}
+configure         {}
+build.target      
+build.args        -f unix/Makefile generic
+install.args      -f unix/Makefile BINDIR=${destroot}${prefix}/bin MANDIR=${destroot}${prefix}/man/man1
+
+long_description  Zip is different from gzip in that it allows packing multiple \
+files into a single archive (without the assistance of tar). It is compatible with\
+ pkzip, pkunzip, and other Windows zip utilities.  This utility is necessary to\
+ install several packages in a pure Darwin installation, as Darwin does not come with zip/unzip.
Index: trunk/dports/sysutils/unzip/Portfile
===================================================================
--- trunk/dports/sysutils/unzip/Portfile	(revision 2078)
+++ trunk/dports/sysutils/unzip/Portfile	(revision 2078)
@@ -0,0 +1,32 @@
+PortSystem 1.0
+name           unzip
+version        5.50
+maintainers    michaelm@opendarwin.org
+categories     sysutils
+master_sites  \
+              http://uiarchive.uiuc.edu/mirrors/ftp/ftp.info-zip.org/pub/infozip/src/ \
+              ftp://uiarchive.cso.uiuc.edu/pub/ftp/ftp.info-zip.org/pub/infozip/src/ \
+              http://www.mirror.ac.uk/sites/ftp.info-zip.org/pub/infozip/src/ \
+              ftp://sunsite.icm.edu.pl/pub/unix/archiving/info-zip/src/ \
+              http://sunsite.cnlab-switch.ch/ftp/mirror/infozip/src/ \
+              ftp://sunsite.cnlab-switch.ch/mirror/infozip/src/ \
+              ftp://ftp.info-zip.org/pub/infozip/src/
+
+checksums      md5 798592d62e37f92571184236947122ed
+homepage       http://www.info-zip.org/pub/infozip/Zip.html
+description    Decompression compatible with pkunzip
+distname       ${name}550
+worksrcdir     ${name}-${version}
+configure      {}
+build.target   
+build.args     -f unix/Makefile macosx
+install.args   -f unix/Makefile install BINDIR=${destroot}${prefix}/bin MANDIR=${destroot}${prefix}/man/man1
+
+long_description \
+Zip is different from gzip in that it allows packing multiple files into a \
+single archive (without the assistance of tar). It is compatible with pkzip, \
+pkunzip, and other Windows zip utilities. \
+ \
+This utility is necessary to install several packages in a pure Darwin \
+installation, as Darwin does not come with zip/unzip. \
+
Index: trunk/dports/sysutils/zip/Portfile
===================================================================
--- trunk/dports/sysutils/zip/Portfile	(revision 2078)
+++ trunk/dports/sysutils/zip/Portfile	(revision 2078)
@@ -0,0 +1,22 @@
+PortSystem 1.0
+
+name              zip
+version           2.3
+categories        sysutils
+description       compression utility
+homepage          http://www.info-zip.org/pub/infozip/Zip.html
+master_sites      ftp://ftp.uu.net/pub/archiving/zip/src/
+distname          ${name}23
+checksums         md5 5206a99541f3b0ab90f1baa167392c4f
+#patchfiles        patch-Makefile   patch-zip.c      patch-ziperr.h \
+#                    patch-configure  patch-zipcloak.c patch-zipsplit.c
+worksrcdir        ${name}-${version}
+configure         {}
+build.target      
+build.args        -f unix/Makefile generic
+install.args      -f unix/Makefile BINDIR=${destroot}${prefix}/bin MANDIR=${destroot}${prefix}/man/man1
+
+long_description  Zip is different from gzip in that it allows packing multiple \
+files into a single archive (without the assistance of tar). It is compatible with\
+ pkzip, pkunzip, and other Windows zip utilities.  This utility is necessary to\
+ install several packages in a pure Darwin installation, as Darwin does not come with zip/unzip.