Index: trunk/dports/emulators/bochs/Portfile
===================================================================
--- trunk/dports/emulators/bochs/Portfile	(revision 2090)
+++ trunk/dports/emulators/bochs/Portfile	(revision 2091)
@@ -21,5 +21,5 @@
 		http://cesnet.dl.sourceforge.net/sourceforge/bochs/
 checksums	md5 12e591b5cec2e0051e18605483f64678
-patchfiles 	patch-cdrom_osx
+patchfiles 	patch-Makefile.in patch-cdrom_osx
 post-patch {
 	set path "${portpath}/${workdir}/${worksrcdir}"
@@ -43,4 +43,2 @@
 }
 depends_run	bin:wget:wget
-
-include		contents
Index: trunk/dports/emulators/bochs/contents
===================================================================
--- trunk/dports/emulators/bochs/contents	(revision 2090)
+++ 	(revision )
@@ -1,81 +1,0 @@
-contents \
-	bin/bochs \
-	bin/bochs-dlx \
-	bin/bochs-docs \
-	bin/bximage \
-	bochs/1.4.1/BIOS-bochs-2-processors \
-	bochs/1.4.1/BIOS-bochs-4-processors \
-	bochs/1.4.1/BIOS-bochs-latest \
-	bochs/1.4.1/CHANGES \
-	bochs/1.4.1/COPYING \
-	bochs/1.4.1/DOC-linux.html \
-	bochs/1.4.1/README \
-	bochs/1.4.1/VGABIOS-elpin-2.40 \
-	bochs/1.4.1/VGABIOS-elpin-LICENSE \
-	bochs/1.4.1/VGABIOS-lgpl-0.3a \
-	bochs/1.4.1/VGABIOS-lgpl-README \
-	bochs/1.4.1/bochs \
-	bochs/1.4.1/bochsrc-sample.txt \
-	bochs/1.4.1/bximage \
-	bochs/1.4.1/vga.pcf \
-	bochs/1.4.1/docs-html/00README \
-	bochs/1.4.1/docs-html/3rdparty.license.html \
-	bochs/1.4.1/docs-html/Linux.html \
-	bochs/1.4.1/docs-html/Minix.html \
-	bochs/1.4.1/docs-html/OldWindows95.html \
-	bochs/1.4.1/docs-html/Windows95.html \
-	bochs/1.4.1/docs-html/changelog.html \
-	bochs/1.4.1/docs-html/codingguidelines.html \
-	bochs/1.4.1/docs-html/configure.html \
-	bochs/1.4.1/docs-html/construction.html \
-	bochs/1.4.1/docs-html/cosimulation.html \
-	bochs/1.4.1/docs-html/cvs-status.html \
-	bochs/1.4.1/docs-html/cvs-structure.txt \
-	bochs/1.4.1/docs-html/debugger.html \
-	bochs/1.4.1/docs-html/developers.html \
-	bochs/1.4.1/docs-html/faq.html \
-	bochs/1.4.1/docs-html/features.html \
-	bochs/1.4.1/docs-html/fpu.html \
-	bochs/1.4.1/docs-html/guestNT.html \
-	bochs/1.4.1/docs-html/index.html \
-	bochs/1.4.1/docs-html/install.html \
-	bochs/1.4.1/docs-html/instrumentation.html \
-	bochs/1.4.1/docs-html/iodebug.html \
-	bochs/1.4.1/docs-html/mtools.html \
-	bochs/1.4.1/docs-html/random.txt \
-	bochs/1.4.1/docs-html/release-prep.txt \
-	bochs/1.4.1/docs-html/smp-simulation.html \
-	bochs/1.4.1/docs-html/sound.html \
-	bochs/1.4.1/docs-html/undercon.gif \
-	bochs/1.4.1/docs-html/whatisbochs.html \
-	bochs/1.4.1/docs-html/win32.html \
-	bochs/1.4.1/docs-html/CVS/Entries \
-	bochs/1.4.1/docs-html/CVS/Repository \
-	bochs/1.4.1/docs-html/CVS/Root \
-	bochs/1.4.1/docs-html/CVS/Tag \
-	bochs/1.4.1/docs-html/CVS/ \
-	bochs/1.4.1/docs-html/ \
-	bochs/1.4.1/keymaps/convertmap.pl \
-	bochs/1.4.1/keymaps/x11-pc-de.map \
-	bochs/1.4.1/keymaps/x11-pc-es.map \
-	bochs/1.4.1/keymaps/x11-pc-fr.map \
-	bochs/1.4.1/keymaps/x11-pc-it.map \
-	bochs/1.4.1/keymaps/x11-pc-us.map \
-	bochs/1.4.1/keymaps/CVS/Entries \
-	bochs/1.4.1/keymaps/CVS/Repository \
-	bochs/1.4.1/keymaps/CVS/Root \
-	bochs/1.4.1/keymaps/CVS/Tag \
-	bochs/1.4.1/keymaps/CVS/ \
-	bochs/1.4.1/keymaps/ \
-	bochs/1.4.1/ \
-	bochs/dlxlinux/README \
-	bochs/dlxlinux/bochsrc.txt \
-	bochs/dlxlinux/hd10meg.img.gz \
-	bochs/dlxlinux/testform.txt \
-	bochs/dlxlinux/ \
-	bochs/latest \
-	bochs/ \
-	man/man1/bochs-dlx.1 \
-	man/man1/bochs.1 \
-	man/man1/bochsrc.1 \
-	man/man1/bximage.1
Index: trunk/dports/emulators/bochs/files/patch-Makefile.in
===================================================================
--- trunk/dports/emulators/bochs/files/patch-Makefile.in	(revision 2091)
+++ trunk/dports/emulators/bochs/files/patch-Makefile.in	(revision 2091)
@@ -0,0 +1,40 @@
+--- Makefile.in.orig	Thu Feb 27 13:16:44 2003
++++ Makefile.in	Thu Feb 27 13:22:07 2003
+@@ -52,7 +52,7 @@
+ DLXLINUX_TAR_URL=http://bochs.sourceforge.net/guestos/$(DLXLINUX_TAR)
+ DLXLINUX_ROMFILE=BIOS-bochs-latest
+ GUNZIP=gunzip
+-WGET=wget
++WGET=curl -O
+ SED=sed
+ MKDIR=mkdir
+ RMDIR=rmdir
+@@ -330,18 +330,18 @@
+ 	(cd dlxlinux; $(MV) bochsrc.txt bochsrc.txt.orig; $(SED) -e "s/1\.1\.2/$(VERSION)/g"  -e 's,/usr/local,$(prefix),g' < bochsrc.txt.orig > bochsrc.txt; rm -f bochsrc.txt.orig)
+ 
+ install_dlx:
+-	$(RM) -rf $(BOCHSDIR)/dlxlinux
+-	cp -r dlxlinux $(BOCHSDIR)/dlxlinux
+-	$(CHMOD) 755 $(BOCHSDIR)/dlxlinux
+-	$(GZIP) $(BOCHSDIR)/dlxlinux/hd10meg.img
+-	$(CHMOD) 644 $(BOCHSDIR)/dlxlinux/*
+-	for i in bochs-dlx; do cp $(srcdir)/build/linux/$$i $(bindir)/$$i; $(CHMOD) 755 $(bindir)/$$i; done
++	$(RM) -rf $(DESTDIR)$(BOCHSDIR)/dlxlinux
++	cp -r dlxlinux $(DESTDIR)$(BOCHSDIR)/dlxlinux
++	$(CHMOD) 755 $(DESTDIR)$(BOCHSDIR)/dlxlinux
++	$(GZIP) $(DESTDIR)$(BOCHSDIR)/dlxlinux/hd10meg.img
++	$(CHMOD) 644 $(DESTDIR)$(BOCHSDIR)/dlxlinux/*
++	for i in bochs-dlx; do cp $(srcdir)/build/linux/$$i $(DESTDIR)$(bindir)/$$i; $(CHMOD) 755 $(DESTDIR)$(bindir)/$$i; done
+ 
+ uninstall::
+-	$(RM) -rf $(VERSIONDIR)
+-	$(RM) -rf $(BOCHSDIR)/dlxlinux
+-	$(RM) -rf $(BOCHSDIR)/latest
+-	-$(RMDIR) $(BOCHSDIR)
++	$(RM) -rf $(DESTDIR)$(VERSIONDIR)
++	$(RM) -rf $(DESTDIR)$(BOCHSDIR)/dlxlinux
++	$(RM) -rf $(DESTDIR)$(BOCHSDIR)/latest
++	-$(RMDIR) $(DESTDIR)$(BOCHSDIR)
+ 	for i in bochs bximage bochs-dlx $(BOCHS_SCRIPTS); do rm -f $(DESTDIR)$(bindir)/$$i; done
+ 	for i in $(MAN_PAGE_LIST); do $(RM) -f $(man1dir)/$$i.1; done
+ 